#include "clcusb.h"

CLCUSB::CLCUSB()
{
    this->connected = false;
    this->ProductID = 1503;
    this->VendorID = 5824;
    this->SerialNumber = NULL;
}

bool CLCUSB::bConnect() {
    struct hid_device_info *devs, *cur_dev;

    devs = hid_enumerate(0x0, 0x0);
    cur_dev = devs;
    while (cur_dev) {
        cout << "Device Found\n  type: " << cur_dev->vendor_id << " " <<  cur_dev->product_id << endl << "Path " << cur_dev->path << endl << "Seriennummer " << cur_dev->serial_number<< endl;
        cout << " Hersteller: " << cur_dev->manufacturer_string << endl << " Produkt: " << cur_dev->product_string << endl;
        cur_dev = cur_dev->next;
    }
    hid_free_enumeration(devs);

    hid_device* usb_device;
    hid_init();
    usb_device = hid_open(5824,1503,NULL);

    if(usb_device==NULL) {
        cout << "Konnte keine Verbindung herstellen";
    } else {
        cout << "Verbindung mit USB Geraet hergestellt!";
        this->connected = true;
        return true;
    }
    return false;
}

void CLCUSB::vDisconnect() {
    hid_close(this->usbdevice);
    this->connected = false;
}

bool CLCUSB::bIsConnected() {
    return this->connected;
}

void CLCUSB::vGetUSBData() {

}

void CLCUSB::vSendUSBData() {

}
