#pragma once

#include "definitionen.h"

extern "C" {
#include "hidapi.h"
#include "libusb.h"
}

using namespace std;

class CLCUSB
{
public:
    CLCUSB();

    // Stelle die Verbindung her
    bool bConnect();
    // Löse die Verbindung auf
    void vDisconnect();
    // Stelle fest, ob schon eine Verbindung existiert
    bool bIsConnected();

    // Handler für das USB Gerät
    hid_device *usbdevice;
    // Product und VendorID
    unsigned short VendorID, ProductID, SerialNumber;
    bool connected;

    // Holt Daten aus dem USB Modul ab
    void vGetUSBData();
    // Sendet Daten an das USB Modul, zuvor werden sie in das lokale Array gespeichert.
    void vSendUSBData();
};
